Code Reviews

Create a code review run

Creates a code review between two Bubble versions and starts the linked review agent conversation.

POST /api/public/v1/code-reviews

Create a code review run

curl --request POST \
  --url 'https://api.buildprint.ai/api/public/v1/code-reviews' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "reviewId": "<string>",
  "agentId": "<string>",
  "kind": "<string>",
  "status": "queued",
  "createdAt": 1
}

Code review accepted

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Request Body

application/json
  • appId string required

    Bubble app ID for the workspace project this request targets.

  • fromVersion string required

    Source branch or version name used by the request.

  • toVersion string required

    Target branch or version name used by the request.

  • model string enum enum

    Model identifier to use for the run. 10 allowed enum values.

  • title string

    Short human-readable title for the resource.

  • description string

    Human-readable description for the resource.

  • focusAreas string

    Extra review guidance describing what the reviewer should focus on.

  • completionWebhookUrl string (uri)

    Webhook URL Buildprint will call when the run completes.

  • userEmail string (email)

    Email of the Buildprint user whose provider credentials should be used.

Response

application/json
  • reviewId string

    Opaque identifier for the code review.

  • agentId string

    Opaque identifier for the linked agent conversation.

  • kind string

    Discriminator describing the kind of object returned.

  • status string enum enum

    Current high-level lifecycle state for the asynchronous run. Allowed values: queued, running, completed, error.

  • createdAt number

    Unix timestamp in milliseconds when the resource was created.